summaryrefslogtreecommitdiff
path: root/src/auditor/test-auditor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/auditor/test-auditor.sh')
-rwxr-xr-xsrc/auditor/test-auditor.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index e7cdaa161..db8e73a74 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -42,7 +42,10 @@ function exit_fail() {
# Cleanup to run whenever we exit
function cleanup()
{
- kill `jobs -p` >/dev/null 2>/dev/null || true
+ for n in `jobs -p`
+ do
+ kill $n 2> /dev/null || true
+ done
wait
}
@@ -118,9 +121,7 @@ function audit_only () {
function post_audit () {
taler-exchange-dbinit -g || exit_fail "exchange DB GC failed"
- kill -TERM `jobs -p` >/dev/null 2>/dev/null || true
- echo -n "Waiting for servers to die ..."
- wait
+ cleanup
echo "DONE"
echo -n "TeXing ."
taler-helper-auditor-render.py test-audit-aggregation.json test-audit-coins.json test-audit-deposits.json test-audit-reserves.json test-audit-wire.json < ../../contrib/auditor-report.tex.j2 > test-report.tex || exit_fail "Renderer failed"